Installing the XULRunner package - 6.5

Talend Open Studio for Big Data Installation and Upgrade Guide for Linux

EnrichVersion
6.5
EnrichProdName
Talend Open Studio for Big Data
task
Installation and Upgrade
EnrichPlatform
Talend Studio

On Linux, the XULRunner package is required to run the Studio. The XULRunner package version that is recommended is XULRunner v1.9.2.28.

The supported versions are v1.8.x - 1.9.x and v3.6.x.

Procedure

  1. Download XULRunner v1.9.2.28 from this location.
  2. Unpack the archive file in the same directory where you unpacked the studio archive, but do not unpack it within the Studio folder.
  3. Add the following line at the end of the Studio .ini file that corresponds to your Linux architecture:
    -Dorg.eclipse.swt.browser.XULRunnerPath=</usr/lib/xulrunner>

    where </usr/lib/xulrunner> is the XULRunner installation path.

    Example

    For example, if you have unpacked the Studio in a directory under your user home directory /home/<user>/Talend/, you need to add the following to the .ini file: -Dorg.eclipse.swt.browser.XULRunnerPath=/home/<user>/Talend/xulrunner/